var onajax = false;
$(function(){

    /* {{{ 标签保存
     */
    $('.tagsbtn').bind('click' , function(){
        var i = parseInt($(this).attr('index'));
        var _this = $(this);
        if($.trim($('#tag_' + i).val()) == ''){
            $('#tag_' + i).focus();
        }else{
            if(!onajax){
                onajax = true;
                $.ajax({
                    url         : tsurl,
                    type        : 'POST',
                    dataType    : 'json',
                    data        : "id=" + i + "&name=" + $.trim($('#tag_' + i).val()),
                    success     : function(d){
                        onajax = false;
                        _this.addClass('saved').html(d.msg).blur();
                        if(i == 0){
                            location.href = location.href;
                        }else{
                            setTimeout(function(){
                                _this.addClass('saved').html('保存');
                            } , 3000);
                        }
                    }
                });
            }else{
                alert('处理中...');
            }
        }
    });
    /* }}} */
});